#
# spec file for package pixedit (Version 1994)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mmcore mmbase mmslib xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         pixedit
Release:      14
Copyright:    1994 Mike Yang
Group: 
Provides:     pixedit 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1994
Summary:      Pixel Color Editor
Source: pixedit-1994.tar.gz
Patch: pixedit-1994.dif
%description
A tool to modify colors using several scrollbars. The program to
find the colors you "really" like :-)

Authors:
--------
    Mike Yang <mikey@sgi.com>

%prep
%setup
%patch
xmkmf -a
%build
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make
mv pixedit pixedit.SuSE-dynamic
mv cpicker cpicker.SuSE-dynamic
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking static
make
%install
make install
make install.man
mv /usr/X11R6/bin/pixedit /usr/X11R6/bin/pixedit.SuSE-static
install -s pixedit.SuSE-dynamic /usr/X11R6/bin
ln -sf pixedit.SuSE-static /usr/X11R6/bin/pixedit
mv /usr/X11R6/bin/cpicker /usr/X11R6/bin/cpicker.SuSE-static
install -s cpicker.SuSE-dynamic /usr/X11R6/bin
ln -sf cpicker.SuSE-static /usr/X11R6/bin/cpicker
Check
%files
%docdir /usr/X11R6/man
%dir /usr/X11R6/lib/X11/app-defaults
/usr/X11R6/bin/cpicker
/usr/X11R6/bin/cpicker.SuSE-dynamic
/usr/X11R6/bin/cpicker.SuSE-static
/usr/X11R6/bin/pixedit
/usr/X11R6/bin/pixedit.SuSE-dynamic
/usr/X11R6/bin/pixedit.SuSE-static
%config /usr/X11R6/lib/X11/app-defaults/Cpicker
%config /usr/X11R6/lib/X11/app-defaults/Pixedit
%doc /usr/X11R6/man/man1/cpicker.1x.gz
%doc /usr/X11R6/man/man1/pixedit.1x.gz
%doc README

